picard.util

## Class LiftOverIntervalList

- java.lang.Object
- - picard.cmdline.CommandLineProgram
  - - picard.util.LiftOverIntervalList

-     public class LiftOverIntervalList
      extends CommandLineProgram

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `File` | `CHAIN`
    `File` | `INPUT`
    `double` | `MIN_LIFTOVER_PCT`
    `File` | `OUTPUT`
    `File` | `SEQUENCE_DICTIONARY`

    - ### Fields inherited from class picard.cmdline.CommandLineProgram

      `COMPRESSION_LEVEL, CREATE_INDEX, CREATE_MD5_FILE, GA4GH_CLIENT_SECRETS, MAX_RECORDS_IN_RAM, QUIET, REFERENCE_SEQUENCE, TMP_DIR, VALIDATION_STRINGENCY, VERBOSITY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LiftOverIntervalList()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected int` | `doWork()` Do the work after command line has been parsed.
    `static void` | `main(String[] argv)`

    - ### Methods inherited from class picard.cmdline.CommandLineProgram

      `customCommandLineValidation, getCommandLine, getCommandLineParser, getDefaultHeaders, getMetricsFile, getNestedOptions, getNestedOptionsForHelp, getStandardUsagePreamble, getVersion, instanceMain, instanceMainWithExit, parseArgs, setDefaultHeaders`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INPUT

          @Option(doc="Interval list to be lifted over.",
                  shortName="I")
          public File INPUT

    - #### OUTPUT

          @Option(doc="Where to write lifted-over interval list.",
                  shortName="O")
          public File OUTPUT

    - #### SEQUENCE_DICTIONARY

          @Option(doc="Sequence dictionary to write into the output interval list.",
                  shortName="SD")
          public File SEQUENCE_DICTIONARY

    - #### CHAIN

          @Option(doc="Chain file that guides LiftOver.")
          public File CHAIN

    - #### MIN_LIFTOVER_PCT

          @Option(doc="Minimum percentage of bases in each input interval that must map to output interval.")
          public double MIN_LIFTOVER_PCT

  - ### Constructor Detail

    - #### LiftOverIntervalList

          public LiftOverIntervalList()

  - ### Method Detail

    - #### main

          public static void main(String[] argv)

    - #### doWork

          protected int doWork()

      Do the work after command line has been parsed. RuntimeException may be thrown by this method, and are reported appropriately.
      Specified by:
        `doWork` in class `CommandLineProgram`
      Returns:
        program exit status.